<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.WashOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.miniapp.WashOrder">
        <result column="user_id" property="userId" />
        <result column="station_id" property="stationId" />
        <result column="product_key" property="productKey" />
        <result column="device_name" property="deviceName" />
        <result column="open_type" property="openType" />
        <result column="close_type" property="closeType" />
        <result column="order_id" property="orderId" />
        <result column="order_id_local" property="orderIdLocal" />
        <result column="member_discount" property="memberDiscount" />
        <result column="prepay_money" property="prepayMoney" />
        <result column="amount" property="amount" />
        <result column="amount_receivable" property="amountReceivable" />
        <result column="amount_received" property="amountReceived" />
        <result column="discount_money" property="discountMoney" />
        <result column="coin_money" property="coinMoney" />
        <result column="coin_num" property="coinNum" />
        <result column="card_type" property="cardType" />
        <result column="card_id" property="cardId" />
        <result column="card_sn" property="cardSn" />
        <result column="card_expired" property="cardExpired" />
        <result column="card_balance" property="cardBalance" />
        <result column="operation_remain_time" property="operationRemainTime" />
        <result column="idle_remain_time" property="idleRemainTime" />
        <result column="detail" property="detail" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="discount_type" property="discountType" />
        <result column="discount_amount" property="discountAmount" />
        <result column="order_status" property="orderStatus" />
        <result column="pay_status" property="payStatus" />
        <result column="stop_reason" property="stopReason" />
        <result column="invoice_status" property="invoiceStatus" />
        <result column="invoice_id" property="invoiceId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        user_id, station_id, product_key, device_name, open_type, close_type, order_id, order_id_local, member_discount, prepay_money, amount, amount_receivable, amount_received, discount_money, coin_money, coin_num, card_type, card_id, card_sn, card_expired, card_balance, operation_remain_time, idle_remain_time, detail, start_time, end_time, discount_type, discount_amount, order_status, pay_status, stop_reason, invoice_status, invoice_id
    </sql>

</mapper>
